Bug 135057 - buggy up2date ?
buggy up2date ?
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-08 07:51 EDT by Morten Tormoen
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:16:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Morten Tormoen 2004-10-08 07:51:15 EDT
Description of problem:
up2date failes. Initial update.

Version-Release number of selected component (if applicable):
up2date-4.0.1-1.i386.rpm

How reproducible:
Not anymore. system defect at the moment.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
[snip snip]
bind-libs-9.2.4-EL3_10.i386 ########################## Done.
elfutils-libelf-devel-0.94- ########################## Done.
jaf-20030319-1.i386.rpm:    ########################## Done.
javamail-20031006-1.i386.rp ########################## Done.
junit-3.8.1-1.i386.rpm:     ########################## Done.
laus-libs-0.1-65RHEL3.i386. ########################## Done.
openoffice.org-style-gnome- ########################## Done.
rpm-libs-4.2.3-10.i386.rpm: ########################## Done.

Preparing              ########################################### [100%]
chkconfig version 1.3.8 - Copyright (C) 1997-2000 Red Hat, Inc.
This may be freely redistributed under the terms of the GNU Public
License.

usage:   chkconfig --list [name]
         chkconfig --add <name>
         chkconfig --del <name>
         chkconfig [--level <levels>] <name> <on|off|reset>)
install-info: warning: no entries found for
`/usr/share/info/annotate.info.gz'; nothing deleted
Shutting down smartd: [FAILED]
Shutting down NFS mountd: [FAILED]
Shutting down NFS daemon: [FAILED]
Shutting down NFS quotas: [FAILED]
Shutting down NFS services:  [  OK  ]
groupdel: group rpm does not exist
There was a fatal RPM error. The message was:
Error opening /var/up2date/hwdata-0.101.12-1.noarch.rpm
[root@retriever6 root]#
[root@retriever6 root]# up2date-nox -u
--tmpdir=/f/install/intel/Linux/RedHat/updates/3AS/
Traceback (most recent call last):
  File "/usr/sbin/up2date-nox", line 11, in ?
    import rpm
ImportError: libelf.so.1: cannot open shared object file: No such file
or directory
######### repeated command below #############
[root@retriever6 root]# up2date-nox -u
--tmpdir=/f/install/intel/Linux/RedHat/updates/3AS/
Traceback (most recent call last):
  File "/usr/sbin/up2date-nox", line 11, in ?
    import rpm
ImportError: libelf.so.1: cannot open shared object file: No such file
or directory
[root@retriever6 root]#

Expected results:


Additional info:
Comment 1 Morten Tormoen 2004-10-08 07:52:45 EDT
fra /var/log/up2date:

[Thu Oct  7 17:37:01 2004] up2date updating login info
[Thu Oct  7 17:37:01 2004] up2date logging into up2date server
[Thu Oct  7 17:37:03 2004] up2date successfully retrieved authentication
token from up2date server
[Thu Oct  7 17:37:03 2004] up2date availablePackageList from network
[Thu Oct  7 17:37:22 2004] up2date solving dep for: ['jaf', 'javamail',
'junit', 'lib-javax-activation-20030319.so', 'lib-javax-mail-20031006.so',
'jaf', 'javamail', 'junit', 'lib-javax-activation-20030319.so',
'lib-javax-mail-20031006.so', 'lib-junit-3.8.1.so', 'libdns.so.11',
'libisc.so.7', 'libisccc.so.0', 'libisccfg.so.0', 'liblwres.so.1',
'libdns.so.11', 'libisc.so.7', 'liblwres.so.1', 'elfutils-libelf-devel',
'librpm-4.2.so', 'librpmdb-4.2.so', 'librpmio-4.2.so',
'/usr/lib/openoffice/program/getstyle-gnome',
'/usr/lib/openoffice/program/msgbox-gnome', 'liblaus.so.1',
'liblaus.so.1', 'librpm-4.2.so', 'librpmbuild-4.2.so', 'librpmdb-4.2.so',
'librpmio-4.2.so', 'librpm-4.2.so', 'librpmbuild-4.2.so',
'librpmdb-4.2.so', 'librpmio-4.2.so', 'librpm-4.2.so', 'librpmdb-4.2.so',
'librpmio-4.2.so', 'librpm-4.2.so', 'librpmdb-4.2.so', 'librpmio-4.2.so',
'liblaus.so.1', 'liblaus.so.1']
[Thu Oct  7 17:37:23 2004] up2date solving dep for: ['jaf', 'javamail',
'junit', 'lib-javax-activation-20030319.so', 'lib-javax-mail-20031006.so',
'jaf', 'javamail', 'junit', 'lib-javax-activation-20030319.so',
'lib-javax-mail-20031006.so', 'lib-junit-3.8.1.so', 'libdns.so.11',
'libisc.so.7', 'libisccc.so.0', 'libisccfg.so.0', 'liblwres.so.1',
'libdns.so.11', 'libisc.so.7', 'liblwres.so.1', 'elfutils-libelf-devel',
'librpm-4.2.so', 'librpmdb-4.2.so', 'librpmio-4.2.so',
'/usr/lib/openoffice/program/getstyle-gnome',
'/usr/lib/openoffice/program/msgbox-gnome', 'liblaus.so.1',
'liblaus.so.1', 'librpm-4.2.so', 'librpmbuild-4.2.so', 'librpmdb-4.2.so',
'librpmio-4.2.so', 'librpm-4.2.so', 'librpmbuild-4.2.so',
'librpmdb-4.2.so', 'librpmio-4.2.so', 'librpm-4.2.so', 'librpmdb-4.2.so',
'librpmio-4.2.so', 'librpm-4.2.so', 'librpmdb-4.2.so', 'librpmio-4.2.so',
'liblaus.so.1', 'liblaus.so.1']
[Thu Oct  7 17:38:33 2004] up2date installing packages:
['FreeWnn-1.11-36.3', 'FreeWnn-libs-1.11-36.3', 'GConf2-2.2.1-4',
'GConf2-devel-2.2.1-4', 'ImageMagick-5.5.6-5.1', 'MAKEDEV-3.3.12.3-1',
'SysVinit-2.85-4.2', 'XFree86-4.3.0-69.EL',
'XFree86-100dpi-fonts-4.3.0-69.EL', 'XFree86-75dpi-fonts-4.3.0-69.EL',
'XFree86-ISO8859-14-100dpi-fonts-4.3.0-69.EL',
'XFree86-ISO8859-14-75dpi-fonts-4.3.0-69.EL',
'XFree86-ISO8859-15-100dpi-fonts-4.3.0-69.EL',
'XFree86-ISO8859-15-75dpi-fonts-4.3.0-69.EL',
'XFree86-ISO8859-2-100dpi-fonts-4.3.0-69.EL',
'XFree86-ISO8859-2-75dpi-fonts-4.3.0-69.EL',
'XFree86-ISO8859-9-100dpi-fonts-4.3.0-69.EL',
'XFree86-ISO8859-9-75dpi-fonts-4.3.0-69.EL',
'XFree86-Mesa-libGL-4.3.0-69.EL', 'XFree86-Mesa-libGLU-4.3.0-69.EL',
'XFree86-Xnest-4.3.0-69.EL', 'XFree86-Xvfb-4.3.0-69.EL',
'XFree86-base-fonts-4.3.0-69.EL', 'XFree86-cyrillic-fonts-4.3.0-69.EL',
'XFree86-devel-4.3.0-69.EL', 'XFree86-doc-4.3.0-69.EL',
'XFree86-font-utils-4.3.0-69.EL', 'XFree86-libs-4.3.0-69.EL',
'XFree86-libs-data-4.3.0-69.EL', 'XFree86-syriac-fonts-4.3.0-69.EL',
'XFree86-tools-4.3.0-69.EL', 'XFree86-truetype-fonts-4.3.0-69.EL',
'libcap-devel-1.10-15.1', 'libf2c-3.2.3-42', 'libgcc-3.2.3-42',
'libgcc-ssa-3.5ssa-0.20030801.48', 'libgcj-3.2.3-42',
'libgcj-devel-3.2.3-42', 'libgcj-ssa-3.5ssa-0.20030801.48',
'libgcj-ssa-devel-3.5ssa-0.20030801.48', 'libgnat-3.2.3-42',
'libgtop2-2.0.2-3', 'libmudflap-3.5ssa-0.20030801.48',
'libmudflap-devel-3.5ssa-0.20030801.48', 'libobjc-3.2.3-42',
'libpcap-0.7.2-7.E3.2', 'libpng-1.2.2-25', 'libpng-devel-1.2.2-25',
'libpng10-1.0.13-15', 'libstdc++-3.2.3-42', 'libstdc++-devel-3.2.3-42',
'libstdc++-ssa-3.5ssa-0.20030801.48',
'libstdc++-ssa-devel-3.5ssa-0.20030801.48', 'libxml2-2.5.10-6',
'libxml2-devel-2.5.10-6', 'libxml2-python-2.5.10-6', 'ltrace-0.3.32-3.EL',
'lvm-1.0.8-5', 'mdadm-1.5.0-9', 'mkisofs-2.01.0.a32-0.EL3.1',
'mod_auth_pgsql-2.0.1-4.ent', 'mod_authz_ldap-0.22-5',
'mod_python-3.0.3-3.ent', 'mod_ssl-2.0.46-40.ent',
'modutils-2.4.25-13.EL', 'modutils-devel-2.4.25-13.EL',
'mozilla-1.4.3-3.0.4', 'mozilla-chat-1.4.3-3.0.4',
'mozilla-dom-inspector-1.4.3-3.0.4', 'mozilla-js-debugger-1.4.3-3.0.4',
'mozilla-mail-1.4.3-3.0.4', 'mozilla-nspr-1.4.3-3.0.4',
'mozilla-nss-1.4.3-3.0.4', 'mutt-1.4.1-3.4', 'ncompress-4.2.4-38',
'net-snmp-5.0.9-2.30E.6', 'net-snmp-devel-5.0.9-2.30E.6',
'net-snmp-utils-5.0.9-2.30E.6', 'netdump-0.6.11-3',
'netdump-server-0.6.11-3', 'netpbm-9.24-11.30.1',
'netpbm-devel-9.24-11.30.1', 'netpbm-progs-9.24-11.30.1',
'nfs-utils-1.0.6-31EL', 'nptl-devel-2.3.2-95.27', 'nscd-2.3.2-95.27',
'nss_ldap-207-11', 'ntp-4.1.2-4.EL3.1', 'ntsysv-1.3.11-0.3',
'openldap-2.0.27-17', 'openldap-clients-2.0.27-17',
'openldap-devel-2.0.27-17', 'openldap-servers-2.0.27-17',
'openmotif-2.2.3-3.RHEL3', 'openmotif-devel-2.2.3-3.RHEL3',
'openoffice.org-1.1.0-16.14.EL', 'openoffice.org-i18n-1.1.0-16.14.EL',
'openoffice.org-libs-1.1.0-16.14.EL', 'openssh-3.6.1p2-33.30.1',
'openssh-askpass-3.6.1p2-33.30.1',
'openssh-askpass-gnome-3.6.1p2-33.30.1',
'openssh-clients-3.6.1p2-33.30.1', 'openssh-server-3.6.1p2-33.30.1',
'openssl-0.9.7a-33.12', 'openssl-devel-0.9.7a-33.12',
'openssl096b-0.9.6b-16', 'oprofile-0.5.4-22', 'oprofile-devel-0.5.4-22',
'pam-0.75-58', 'pam-devel-0.75-58', 'pam_krb5-1.73-1',
'parted-1.6.3-29.3', 'passwd-0.68-3.1', 'perl-5.8.0-88.7',
'perl-CGI-2.81-88.7', 'perl-CPAN-1.61-88.7', 'perl-DB_File-1.804-88.7',
'php-4.3.2-14.ent', 'php-imap-4.3.2-14.ent', 'php-ldap-4.3.2-14.ent',
'php-mysql-4.3.2-14.ent', 'php-odbc-4.3.2-14.ent',
'php-pgsql-4.3.2-14.ent', 'popt-1.8.2-10', 'postfix-2.0.16-14.RHEL3',
'ppp-2.4.1-14.1', 'prelink-0.3.2-2.EL', 'procps-2.0.17-10',
'pstack-1.2-3.EL.1', 'pvm-3.4.4-22', 'pwlib-1.4.7-7.EL', 'qt-3.1.2-13.4',
'qt-MySQL-3.1.2-13.4', 'qt-designer-3.1.2-13.4', 'qt-devel-3.1.2-13.4',
'quagga-0.96.2-10.3E', 'rdist-6.1.5-35.30.1', 'readline-4.3-5.2',
'readline-devel-4.3-5.2', 'redhat-config-bind-2.0.0-14.2',
'redhat-config-kickstart-2.3.22-3', 'redhat-config-network-1.2.63-1',
'redhat-config-network-tui-1.2.63-1', 'redhat-config-nfs-1.0.13-6',
'redhat-config-packages-1.2.9.2-1', 'redhat-config-printer-0.6.47.3.19-1',
'redhat-config-printer-gui-0.6.47.3.19-1',
'redhat-config-proc-0.23-0.EL3.1', 'redhat-config-samba-1.0.16-2',
'redhat-config-securitylevel-1.2.9-2',
'redhat-config-securitylevel-tui-1.2.9-2',
'redhat-config-xfree86-0.7.7-1', 'redhat-release-3AS-7.3',
'redhat-rpm-config-8.0.28-2', 'rh-postgresql-7.3.6-7',
'rh-postgresql-contrib-7.3.6-7', 'rh-postgresql-devel-7.3.6-7',
'redhat-rpm-config-8.0.28-2', 'rh-postgresql-7.3.6-7',
'rh-postgresql-contrib-7.3.6-7', 'rh-postgresql-devel-7.3.6-7',
'rh-postgresql-docs-7.3.6-7', 'rh-postgresql-jdbc-7.3.6-7',
'rh-postgresql-libs-7.3.6-7', 'rh-postgresql-python-7.3.6-7',
'rh-postgresql-tcl-7.3.6-7', 'rhnlib-1.8-6.p22', 'rhpl-0.110.6-1',
'rp-pppoe-3.5-4.1', 'rpm-4.2.3-10', 'rpm-build-4.2.3-10',
'rpm-devel-4.2.3-10', 'rpm-python-4.2.3-10', 'rpmdb-redhat-3-0.20040902',
'rsync-2.5.7-5.3E', 'ruby-1.6.8-9.EL3.2', 'ruby-devel-1.6.8-9.EL3.2',
'ruby-libs-1.6.8-9.EL3.2', 'ruby-mode-1.6.8-9.EL3.2',
'rusers-0.17-40.30.1', 'rusers-server-0.17-40.30.1', 'samba-3.0.7-1.3E',
'samba-client-3.0.7-1.3E', 'samba-common-3.0.7-1.3E',
'schedutils-1.3.0-5', 'sendmail-8.12.11-4.RHEL3.1',
'sendmail-cf-8.12.11-4.RHEL3.1', 'shadow-utils-4.0.3-20.05',
'slocate-2.7-3', 'sox-12.17.4-4.3', 'spamassassin-2.55-3.2',
'squid-2.5.STABLE3-6.3E.1', 'squirrelmail-1.4.3-0.e3.1',
'strace-4.5.6-1.EL', 'sysklogd-1.4.1-12.3', 'sysreport-1.3.7.2-1',
'sysstat-4.0.7-4.EL3.3', 'tcl-8.3.5-92.2', 'tclx-8.3-92.2',
'tcpdump-3.7.2-7.E3.2', 'tix-8.1.4-92.2', 'tk-8.3.5-92.2', 'tux-3.2.19-2',
'tzdata-2004b-1.EL', 'unixODBC-2.2.8-2.3.0.2',
'unixODBC-kde-2.2.8-2.3.0.2', 'up2date-4.2.38-1',
'up2date-gnome-4.2.38-1', 'utempter-0.5.5-1.3EL.0',
'vixie-cron-3.0.1-75.1', 'vsftpd-1.2.1-3', 'xemacs-21.4.13-8.ent',
'xemacs-el-21.4.13-8.ent', 'xemacs-info-21.4.13-8.ent',
'xinetd-2.3.12-6.3E', 'xscreensaver-4.10-6', 'ypbind-1.12-5',
'ypserv-2.8-7', 'bind-libs-9.2.4-EL3_10', 'elfutils-libelf-devel-0.94-1',
'jaf-20030319-1', 'javamail-20031006-1', 'junit-3.8.1-1',
'laus-libs-0.1-65RHEL3', 'openoffice.org-style-gnome-1.1.0-16.9.EL',
'rpm-libs-4.2.3-10']
[Thu Oct  7 17:52:45 2004] up2date updating login info
[Thu Oct  7 17:52:45 2004] up2date RPM error.  The message was:
Could not determine what version of Red Hat Linux you are running.
If you get this error, try running

                rpm --rebuilddb
Comment 2 RHEL Product and Program Management 2007-10-19 15:16:39 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.